[C046]search patent potential buyer api
Retrieve a recommended list of potential buyers for the specified patent by entering either the patent_id or patent_number.
Either the patent_id or the patent_number must be provided, if both are available, the patent_id will take precedence.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 7fbd16c6-d005-4689-85a7-4d5eacef01e1 | patent ID |
| string | CN104244439B | patent publication number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
company_id | string | 580dadaf4e8990e4937f6326dadefdac | company id |
patent_cnt | string | 4 | number of similar patents |
buy_all_cnt | string | 101 | the number of company's patent purchase records in the past three years |
buy_this_cnt | string | 2 | total number of patents purchased from the target patent's assignee company |
company_name | string | 中国移动通信集团有限公司 | company name |
sim_score_avg | string | 76.25 | average similarity value of patents |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"company_id": "580dadaf4e8990e4937f6326dadefdac",
"patent_cnt": 4,
"buy_all_cnt": 101,
"buy_this_cnt": 2,
"company_name": "中国移动通信集团有限公司",
"sim_score_avg": 76.25
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms